.sidebar {
    box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.15);
}

.sidebar, .off-canvas-sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    width: 260px;
    background: #FFFFFF;
    box-shadow: 0 10px 30px -12px rgba(0, 0, 0, 0.42), 0 4px 25px 0 rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2);
}

.sidebar .sidebar-wrapper, .main-panel {
    overflow: auto;
}

.sidebar .sidebar-wrapper, .off-canvas-sidebar .sidebar-wrapper {
    height: calc(100vh - 70px);
}

.sidebar, .main-panel, .sidebar-wrapper {
    -webkit-transition-property: top, bottom, width;
    transition-property: top, bottom, width;
    -webkit-transition-duration: .2s, .2s, .35s;
    transition-duration: .2s, .2s, .35s;
    -webkit-transition-timing-function: linear, linear, ease;
    transition-timing-function: linear, linear, ease;
    -webkit-overflow-scrolling: touch;
}

.sidebar .logo, .off-canvas-sidebar .logo {
    padding: 13px 15px;
}

.sidebar .nav, .off-canvas-sidebar .nav {
    margin-top: 15px;
}

.sidebar .nav a, .caret, .bootstrap-tagsinput .tag, .bootstrap-tagsinput [data-role="remove"] {
    -webkit-transition: all 150ms ease-in;
    -moz-transition: all 150ms ease-in;
    -o-transition: all 150ms ease-in;
    -ms-transition: all 150ms ease-in;
    transition: all 150ms ease-in;
}

.sidebar .nav li > a, .off-canvas-sidebar .nav li > a {
    margin: 10px 15px 0;
    border-radius: 3px;
    color: #222222;
    padding: 1em;
    font-size: 0.875rem;
}

.sidebar .nav li > a, .off-canvas-sidebar .nav li > a {
    margin: 10px 10px 0;
}

.sidebar .nav li:first-child > a, .off-canvas-sidebar .nav li:first-child > a {
    margin: 0 15px;
}

.sidebar .nav li:first-child > a, .off-canvas-sidebar .nav li:first-child > a {
    margin: 0 10px;
}

.sidebar .nav i:first-child, .off-canvas-sidebar .nav i:first-child {
    float: left;
}

.sidebar .nav p, .off-canvas-sidebar .nav p {
    margin: 0;
    font-size: 14px;
    font-weight: 400;
    white-space: nowrap;
}

.sidebar .nav i, .off-canvas-sidebar .nav i {
    font-size: 24px;
    margin-right: 15px;
    width: 30px;
    text-align: center;
    color: #555555;
}

.sidebar .logo, .off-canvas-sidebar .logo {
    position: relative;
    padding: 8px 15px;
    z-index: 4;
}

.sidebar .logo .simple-text {
    text-transform: uppercase;
    padding: 5px 0;
    display: block;
    font-size: 18px;
    color: #222222;
    text-align: center;
    white-space: nowrap;
    font-weight: 400;
    line-height: 30px;
    overflow: hidden;
}

.sidebar .nav li:hover > a, .sidebar .nav li.active > [data-toggle="collapse"], .off-canvas-sidebar .nav li:hover > a, .off-canvas-sidebar .nav li.active > [data-toggle="collapse"] {
    background-color: rgba(200, 200, 200, 0.2);
    color: #222222;
    box-shadow: none;
}

.sidebar .logo:after, .off-canvas-sidebar .logo:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 15px;
    height: 1px;
    width: calc(100% - 30px);
    background-color: rgba(180, 180, 180, 0.3);
}

.sidebar .nav i:last-child, .off-canvas-sidebar .nav i:last-child {
    float: right;
}

.sidebar .nav [data-toggle="collapse"] ~ div > ul > li > a, .off-canvas-sidebar .nav [data-toggle="collapse"] ~ div > ul > li > a {
    padding: 0.5rem 1rem 0.5rem 3.75rem;
}

.perfect-scrollbar-off .sidebar .sidebar-wrapper, .perfect-scrollbar-off .main-panel {
    overflow: auto;
}

.perfect-scrollbar-on .sidebar .sidebar-wrapper, .sidebar .sidebar-wrapper, .perfect-scrollbar-on .main-panel, .main-panel {
    overflow: hidden;
    overflow-y: scroll;
}

.sidebar, .main-panel, .sidebar-wrapper {
    -webkit-transition-property: top, bottom, width;
    transition-property: top, bottom, width;
    -webkit-transition-duration: .2s, .2s, .35s;
    transition-duration: .2s, .2s, .35s;
    -webkit-transition-timing-function: linear, linear, ease;
    transition-timing-function: linear, linear, ease;
    -webkit-overflow-scrolling: touch;
}

.main-panel {
    max-height: 100%;
    height: 100%;
}

.main-panel {
    position: relative;
    float: right;
    overflow: auto;
    width: calc(100% - 260px);
    min-height: 100%;
    -webkit-transform: translate3d(0px, 0, 0);
    -moz-transform: translate3d(0px, 0, 0);
    -o-transform: translate3d(0px, 0, 0);
    -ms-transform: translate3d(0px, 0, 0);
    transform: translate3d(0px, 0, 0);
    -webkit-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
}

.main-panel > .content {
    margin-top: 70px;
    padding: 30px 15px;
    min-height: calc(100vh - 145px);
}

body, h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4 {
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
    font-weight: 400;
    line-height: 1.5em;
}

.navbar-absolute {
    position: absolute;
    width: 100%;
    padding-top: 10px;
    z-index: 1029;
}

body {
    background-color: #EEEEEE;
    color: #222222;
}

.navbar[data-topbar-color="blue"] {
    background-color: #2196F3;
    color: #FFFFFF;
}

.card {
    display: inline-block;
    position: relative;
    width: 100%;
    margin: 10px 0;
    z-index: initial;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.075);
    border-radius: 0px;
    color: rgba(0, 0, 0, 0.87);
    background: #fff;
    flex-direction: column;
}

.card .card-content {
    padding: 15px 20px;
    position: relative;
}

.card .card-header {
    background: transparent;
    border: 0;
    padding: 15px 20px 0;
    z-index: 3;
}

.text-primary {
    color: #2196F3 !important;
}

.btn, .table {
    max-width: 100%;
}

.table-responsive {
    display: block;
    min-height: .01%;
    overflow-x: auto;
    width: 100%;
}

.table {
    border: 0;
    margin-bottom: 0;
    width: 100%;
}

.table > thead > tr > th {
    border-bottom-width: 1px;
    font-size: 1rem;
    font-weight: 400;
    color: inherit;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding: 12px 8px;
    vertical-align: middle;
    height: auto;
}

.table td:first-child, .table th:first-child {
    padding-left: 1.5rem;
}

table > tbody:first-child > tr:first-child td, .table > tbody:first-child > tr:first-child th, .table > tfoot:first-child > tr:first-child td, .table > tfoot:first-child > tr:first-child th, .table > thead:first-child > tr:first-child td, .table > thead:first-child > tr:first-child th {
    border-top: 0;
}

.table tbody td, .table tbody th {
    color: rgba(0, 0, 0, .87);
    font-size: .8125rem;
    font-weight: 400;
    height: 3rem;
    padding-top: .919643rem;
    padding-bottom: .919643rem;
}

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding: 12px 8px;
    vertical-align: middle;
    height: auto;
}

.table td:last-child, .table th:last-child {
    padding-right: 1.5rem;
}

.card .table tr:first-child td {
    border-top: none;
}

.btn.btn-success.btn-simple, .navbar .navbar-nav > li > a.btn.btn-success.btn-simple {
    background-color: transparent;
    color: #4CAF50;
    box-shadow: none;
}

.btn.btn-danger.btn-simple, .navbar .navbar-nav > li > a.btn.btn-danger.btn-simple {
    background-color: transparent;
    color: #F44336;
    box-shadow: none;
}

.table .td-actions .btn {
    margin: 0px;
    padding: 5px;
}

.btn .material-icons {
    vertical-align: middle;
    font-size: 17px;
    top: -1px;
    position: relative;
}

.btn, .navbar .navbar-nav > li > a.btn {
    border: none;
    border-radius: 3px;
    position: relative;
    padding: 12px 30px;
    margin: 10px 1px;
    min-width: auto;
    font-size: 12px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: 0;
    will-change: box-shadow, transform;
    transition: box-shadow 0.2s cubic-bezier(0.4, 0, 1, 1), background-color 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}

.form-control, .form-group .form-control {
    float: none;
    box-shadow: none;
    border-radius: 0;
    font-weight: 400;
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: 0.5em;
    display: inline-block;
    width: auto;
}

.custom-select, .form-control {
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    background-color: transparent;
    background-image: none;
    border: 0;
    border-bottom: 1px solid rgba(0, 0, 0, .12);
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    color: inherit;
    display: block;
    width: 100%;
    font-size: 1rem;
    height: 2.25rem;
    line-height: 1.25rem;
    padding: .5rem 0 .4375rem;
    -webkit-transition-duration: .3s;
    -o-transition-duration: .3s;
    transition-duration: .3s;
    -webkit-transition-property: border-bottom-color;
    -o-transition-property: border-bottom-color;
    transition-property: border-bottom-color;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
}

.form-control, .form-group .form-control {
    float: none;
    box-shadow: none;
    border-radius: 0;
    font-weight: 400;
}

.form-control:focus {
    color: #464a4c;
    background-color: #fff;
    border-color: #5cb3fd;
    border-top-color: rgb(92, 179, 253);
    border-right-color: rgb(92, 179, 253);
    border-bottom-color: rgb(92, 179, 253);
    border-left-color: rgb(92, 179, 253);
    outline: 0;
}

.form-control {
    padding: 7px 8px !important;
    font-size: 14px;
    line-height: 1.42857;
}

.input-lg {
    min-width: 300px;
}

.custom-select:focus, .form-control:focus {
    padding-bottom: .375rem;
    border-bottom-style: solid;
    border-bottom-color: #2196f3;
    border-bottom-width: 2px;
    border-right-width: 0;
    border-top-width: 0;
    border-left-width: 0;
    outline: 0;
}

#datatables_filter {
    position: absolute;
    right: 20px;
    top: 40px;
}

.btn.btn-fab.btn-fab-mini, .btn-group-sm .btn.btn-fab, .navbar .navbar-nav > li > a.btn.btn-fab.btn-fab-mini, .btn-group-sm .navbar .navbar-nav > li > a.btn.btn-fab {
    height: 40px;
    min-width: 40px;
    width: 40px;
}

.btn.btn-fab, .navbar .navbar-nav > li > a.btn.btn-fab {
    border-radius: 50%;
    font-size: 24px;
    height: 56px;
    margin: auto;
    min-width: 56px;
    width: 56px;
    padding: 0;
    overflow: hidden;
    position: relative;
    line-height: normal;
}

.btn-primary {
    background: #2196F3 !important;
}

div.dataTables_wrapper div.dataTables_paginate {
    margin: 0;
    white-space: nowrap;
    text-align: right;
}

div.dataTables_wrapper div.dataTables_info {
    padding-top: 0.85em;
    white-space: nowrap;
}

.pagination {
    background: none;
    display: flex;
    list-style: none;
    padding: .5rem;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination {
    margin: 2px 0;
    white-space: nowrap;
    justify-content: flex-end;
}

.page-link {
    color: rgba(0, 0, 0, .87);
    cursor: pointer;
    display: block;
    font-size: .875rem;
    font-weight: 500;
    line-height: 1;
    margin-left: 1px;
    padding: .6875rem 1rem;
    position: relative;
    text-align: center;
    white-space: nowrap;
    border-radius: 2px;
    -webkit-transition-duration: .3s;
    -o-transition-duration: .3s;
    transition-duration: .3s;
    -webkit-transition-property: background-color, color;
    -o-transition-property: background-color, color;
    transition-property: background-color, color;
    -webkit-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    -o-transition-timing-function: cubic-bezier(.4, 0, .2, 1);
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
}

.pagination > li > a, .pagination > li > span {
    border: 0;
    border-radius: 30px;
    transition: all .3s;
    padding: 0px 11px;
    margin: 0 3px;
    min-width: 30px;
    height: 30px;
    line-height: 30px;
    color: #999999;
    font-weight: 400;
    font-size: 12px;
    text-transform: uppercase;
    background: transparent;
}

.pagination > .active > a.page-link, .pagination > .active > a.page-link:focus, .pagination > .active > a.page-link:hover, .pagination > .active > span, .pagination > .active > span:focus, .pagination > .active > span:hover {
    background-color: #2196F3 !important;
    border-color: #2196F3 !important;
    color: #FFFFFF !important;
    box-shadow: 0 4px 5px 0 rgba(33, 150, 243, 0.14), 0 1px 10px 0 rgba(33, 150, 243, 0.12), 0 2px 4px -1px rgba(33, 150, 243, 0.2) !important;
}

.page-link:active, .page-link:focus, .page-link:hover {
    background-color: rgba(153, 153, 153, .4) !important;
    color: rgba(0, 0, 0, .87) !important;
    text-decoration: none !important;
}

@media (max-width: 991px) {

    .sidebar, .off-canvas-sidebar {
        position: fixed;
        display: block;
        top: 0;
        height: 100vh;
        width: 260px;
        right: 0;
        left: auto;
        z-index: 1032;
        visibility: visible;
        background-color: #FFFFFF;
        overflow-y: visible;
        border-top: none;
        text-align: left;
        padding-right: 0px;
        padding-left: 0;
        -webkit-transform: translate3d(260px, 0, 0);
        -moz-transform: translate3d(260px, 0, 0);
        -o-transform: translate3d(260px, 0, 0);
        -ms-transform: translate3d(260px, 0, 0);
        transform: translate3d(260px, 0, 0);
        -webkit-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
        -moz-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
        -o-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
        -ms-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
        transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    }

    .table-responsive {
        overflow: auto;
    }
}

.file_input_div {
    height: 40px;
}

.file_input {
    float: left;
}

#file_input_text_div {
    margin-top: -8px;
    margin-left: 5px;
}

.none {
    display: none;
}

.mdl-button--fab.mdl-button--colored, .mdl-button--fab.mdl-button--colored:hover {
    background: #2196F3;
}

.mdl-button--fab.mdl-button--mini-fab {
    height: 30px;
    min-width: 30px;
    width: 30px;
}

.mdl-textfield {
    padding: 0;
}

md-select {
    margin: 0;
}